<?php 

include('header.php');
require('model/AddJobCategory.php');
$msg_alert = ' ';
$msg_alert_update = '';
    
     $addJobCategory = new AddJobCategory($pdo);

 if (isset($_POST['addJobCategory'])) {
        $user_id = $user_id ?? null;
        $category_name = $_POST['category_name'] ?? '';
        
        // Create Category
        $create = $addJobCategory->createJobCategory($user_id, $category_name );
        
        if ($create) {
            $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Category Added Successfully ! </div>';
            echo "<script> setTimeout(function() { window.location.href = 'add-job-category'; }, 3000); </script>"; 
            // Redirects after 2 seconds
        } else {
            $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error to Adding Job Category.</div>';
        }
       
 }
    $categories =  $addJobCategory->getCategory();
            
    //  Edit Category
    if ( isset($_POST['editCategory']) ) { 
        $id = $_POST['id'];
        $category_name = $_POST['category_name'];
    
        if ($addJobCategory->updateJobCategory($id, $category_name) ) {
            $msg_alert_update = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Category updated successfully!</div>';
            echo "<script> setTimeout(function() { window.location.href = 'add-job-category'; }, 3000); </script>";
        } else {
            $msg_alert_update = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error updating Category.</div>';
        }
    }
    // Edit Category
    
    
    // Delete Category
    if (isset($_POST['delete_category'])) {
        $id = $_POST['id'];
    if ($addJobCategory->deleteJobCategory($id)) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Category deleted successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'add-job-category'; }, 3000); </script>"; // Redirects after 2 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error deleting Category.</div>';
        }
    }
    // Delete Category
    
    

?>

<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12"> 
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Create Items</a></li>
                            <li class="breadcrumb-item"><a href="add-job-category">Add Job Category</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Add Job Category</h5>
                    </div>
                    <div class="card-body">
                    <?php if($msg_alert != ""){
                        echo $msg_alert;
                    } ?>
                        <hr>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">Enter Job Category</label>
                                    <input type="text" class="form-control" name="category_name" required placeholder="Enter Job Category">
                                </div>
                            </div>
                            
                        </div> 
                    </div>
                    <div class="card-footer text-right">
                        <button type="submit" class="btn btn-primary" name="addJobCategory">Add Job  Category</button>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->
        
        
        <!-- [ Table Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Category List</h5>
                    </div>
                    <div class="card-body">
                    <?php if($msg_alert_update != ""){
                        echo $msg_alert_update;
                    } ?>
                        <div class="row">
                            <div class="table-responsive">
                            <table class="table table-striped table-hover table-sm">
                                <thead class="text-center">
                                    <tr>
                                        <th>ID</th>
                                        <th>By HR</th>
                                        <th>Category Name</th> 
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php if ($categories): ?>
                                        <?php foreach ($categories as $category): ?>
                                            <tr>
                                                <td><?php echo htmlspecialchars($category['id']); ?></td>
                                                <td><?php echo htmlspecialchars($category['name']); ?></td>
                                                <td><?php echo htmlspecialchars($category['category_name']); ?></td>
                                                
                                                <td>
                                                    <form method="post" style="display:inline;">
                                                        <input type="hidden" name="id" value="<?php echo $category['id']; ?>">
                                                        <button type="submit" name="delete_category" class="btn btn-danger rounded-pill delete-category-btn">Delete Category</button>
                                                    </form>
                                                    <button type="button" class="btn btn-primary rounded-pill edit-category-btn" 
                                                        data-id="<?php echo $category['id']; ?>" 
                                                        data-name="<?php echo $category['name']; ?>" 
                                                        data-category_name="<?php echo $category['category_name'];?>" 
                                                        >Edit Category</button>
                                                </td> 
                                            </tr>
                                        <?php endforeach; ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-center" colspan="6">No users found.</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Table Content ] end -->
        
        <!-- Edit Category Modal -->
        <div class="modal fade" id="editCategoryModal" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
            <div class="modal-dialog">
            <div class="modal-content">
                <form method="post">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editUserModalLabel">Edit Category</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" id="id" name="id">
   
                        <div class="form-group">
                            <label for="">Category Name</label>
                            <input type="text" class="form-control" id="categoryName" name="category_name" required>
                        </div>
                         
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" name="editCategory" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
        </div>
        <!-- Edit Category Modal -->

    </div>
</section>
<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>



<script type="text/javascript">

    $(document).ready(function() {
        $('.delete-category-btn').on('click', function(e) {
            var form = $(this).closest('form');
            if (confirm("Are you sure want to delete this category ?")) {
                form.submit();
            }else{
                e.preventDefault();
            }
        });
        
        $('.edit-category-btn').on('click', function() {
            var id = $(this).data('id'); 
            var categoryName = $(this).data('category_name'); 
            
            $('#id').val(id)
            $('#categoryName').val(categoryName); 
            
            $('#editCategoryModal').modal('show');
        });
        
    });
    
    </script>
