<?php 

include('header.php');
require('model/AddJobType.php');

$msg_alert = ' ';

 $addJobType = new AddJobType($pdo);

 if (isset($_POST['addJobType'])) {
        $user_id = $user_id ?? null;
        $type_name = $_POST['type_name'] ?? '';
        
        // Create Type
        $create = $addJobType->createJobType($user_id, $type_name );
        
        if ($create) {
            $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Type Added Successfully ! </div>';
            echo "<script> setTimeout(function() { window.location.href = 'add-job-type'; }, 3000); </script>"; 
            // Redirects after 2 seconds
        } else {
            $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error to Adding Job Type.</div>';
        }
       
 }

    $jobTypes =  $addJobType->getJobType();
 
     if ( isset($_POST['editJobType']) ) { 
        $id = $_POST['id'];
        $type_name = $_POST['type_name'];
    
        if ($addJobType->updateJobType($id, $type_name) ) {
            $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Type updated successfully!</div>';
            echo "<script> setTimeout(function() { window.location.href = 'add-job-type'; }, 3000); </script>";
        } else {
            $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error updating Job Type.</div>';
        }
    } 
    
    // Delete Category
    if (isset($_POST['delete_jobtype'])) {
        $id = $_POST['id'];
    if ($addJobType->deleteJobType($id)) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Type deleted successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'add-job-type'; }, 3000); </script>"; // Redirects after 2 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error deleting Job Type.</div>';
        }
    }
    // Delete Category


?>

<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12"> 
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Create Items</a></li>
                            <li class="breadcrumb-item"><a href="post-new-job">Add Job Type</a></li>
                        </ul>

                    </div>
                </div>

            </div>
        </div>
            
                        <?php if($msg_alert != ""){
                            echo $msg_alert;
                        } ?>
        
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Add Job Category</h5>
                    </div>
                    <div class="card-body">

                        <hr>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">Job Type</label>
                                    <input type="text" class="form-control" name="type_name" required placeholder="Enter Job Type">
                                </div>
                            </div>
                           
                        </div> 
                    </div>
                    <div class="card-footer text-right">
                        <button type="submit" class="btn btn-primary" name="addJobType">Add Job  Type</button>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->
        
        
        
        
        
                <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Category List</h5>
                    </div>
                    <div class="card-body">
                      <?php echo isset($msg_alert) ? $msg_alert : ''; ?>
                        <div class="row">
                            <div class="table-responsive">
                            <table class="table table-striped table-hover table-sm">
                                <thead class="text-center">
                                    <tr>
                                        <th>ID</th>
                                        <th>By HR</th>
                                        <th>Type Name</th> 
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php if ($jobTypes): ?>
                                        <?php foreach ($jobTypes as $types): ?>
                                            <tr>
                                                <td><?php echo htmlspecialchars($types['id']); ?></td>
                                                <td><?php echo htmlspecialchars($types['name']); ?></td>
                                                <td><?php echo htmlspecialchars($types['type_name']); ?></td>
                                                
                                                 <td>
                                                    <form method="post" style="display:inline;">
                                                        <input type="hidden" name="id" value="<?php echo $types['id']; ?>">
                                                        <button type="submit" name="delete_jobtype" class="btn btn-danger rounded-pill delete-jobType-btn">Delete Job Type</button>
                                                    </form>
                                                    <button type="button" class="btn btn-primary rounded-pill edit-jobType-btn" 
                                                        data-id="<?php echo $types['id']; ?>"  
                                                        data-type_name="<?php echo $types['type_name'];?>" 
                                                        >Edit Job Type</button>
                                                </td> 

                                            </tr>
                                        <?php endforeach; ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-center" colspan="6">No users found.</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->
        
        
     <!-- Edit Edit Job Type  Modal -->
        <div class="modal fade" id="editJobTypeModal" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
            <div class="modal-dialog">
            <div class="modal-content">
                <form method="post">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editUserModalLabel">Edit Category</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" id="id" name="id">
   
                        <div class="form-group">
                            <label for="">Type Name</label>
                            <input type="text" class="form-control" id="typeName" name="type_name" required>
                        </div>
                         
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" name="editJobType" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
        </div>
        <!-- Edit Job Type Modal -->
        
        

    </div>
</section>
<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>



<script type="text/javascript">

    $(document).ready(function() {
        $('.delete-jobType-btn').on('click', function(e) {
            var form = $(this).closest('form');
            if (confirm("Are you sure want to delete this Job Type ?")) {
                form.submit();
            }else{
                e.preventDefault();
            }
        });
        
        $('.edit-jobType-btn').on('click', function() {
            var id = $(this).data('id'); 
            var typeName = $(this).data('type_name'); 
            
            $('#id').val(id)
            $('#typeName').val(typeName); 
            
            $('#editJobTypeModal').modal('show');
        });
        
    });
    
    </script>

