<?php


class AddJobCategory {
    private $pdo;
    
    public function __construct($pdo) {
        $this->pdo = $pdo;
    }
            
    public function createJobCategory($user_id, $category_name) {
        try {
            $stmt = $this->pdo->prepare("
                INSERT INTO job_category (user_id, category_name, created_at) VALUES (:user_id, :category_name, :created)
            ");
                                    
            $stmt->execute([
                ':user_id' => $user_id, 
                ':category_name' => $category_name,
                ':created' => date('Y-m-d')
            ]);

            return $stmt->rowCount() == 1;
        } catch (Exception $e) {
            // Optionally log the error message: $e->getMessage();
            return $e->getMessage();
        }
    }

    
    public function getCategory(){
        try{
            $stmt = $this->pdo->prepare("SELECT job_category.id, job_category.category_name, user_accounts.name
                                        FROM job_category
                                        JOIN user_accounts ON job_category.user_id = user_accounts.id ORDER BY id DESC");
            $stmt->execute();
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
        }catch (Exception $e) {
            return false;
        }
    }
    
    
    public function updateJobCategory($id, $category_name) {
        try {
            $stmt = $this->pdo->prepare("UPDATE job_category SET category_name = :category_name WHERE id = :id");
            $stmt->execute([
                ':category_name' => $category_name, 
                ':id' => $id 
            ]);
            return true;
        } catch (Exception $e) {
            return false;
        }
    }
    
      public function deleteJobCategory($id) {
        try {
            $stmt = $this->pdo->prepare("DELETE FROM job_category WHERE id = :id");
            $stmt->execute([':id' => $id]);
            return true;
        } catch (Exception $e) {
            return false;
        }
    }
    
    
    
}





?>