<?php


class AddJobType {
    private $pdo;
    
    public function __construct($pdo) {
        $this->pdo = $pdo;
    }
    
    
        public function createJobType($user_id, $type_name) {
        try {
            $stmt = $this->pdo->prepare("
                INSERT INTO job_type (user_id, type_name, created_at) VALUES (:user_id, :type_name, :created)
            ");
                                    
            $stmt->execute([
                ':user_id' => $user_id, 
                ':type_name' => $type_name,
                ':created' => date('Y-m-d')
            ]);

            return $stmt->rowCount() == 1;
        } catch (Exception $e) {
            // Optionally log the error message: $e->getMessage();
            return $e->getMessage();
        }
    }
    
    // FETCH
    public function getJobType(){
        try{
            $stmt = $this->pdo->prepare("SELECT job_type.id, job_type.type_name, user_accounts.name
                                        FROM job_type
                                        JOIN user_accounts ON job_type.user_id = user_accounts.id ORDER BY id DESC");
            $stmt->execute();
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
        }catch (Exception $e) {
            return false;
        }
    }
    // FETCH
    
    
    // UPDATE
        public function updateJobType($id, $type_name) {
        try {
            $stmt = $this->pdo->prepare("UPDATE job_type SET type_name = :type_name WHERE id = :id");
            $stmt->execute([
                ':type_name' => $type_name, 
                ':id' => $id 
            ]);
            return true;
        } catch (Exception $e) {
            return false;
        }
    }
    // UPDATE

    
    // DELETE
    public function deleteJobType($id) {
        try {
            $stmt = $this->pdo->prepare("DELETE FROM  job_type WHERE id = :id");
            $stmt->execute([':id' => $id]);
            return true;
        } catch (Exception $e) {
            return false;
        }
    }
    // DELETE
            

    
}
    
    





?>