<?php




Class ManageJobCategories{
    
    private $pdo;
    
    public function __construct($pdo) {
        $this->pdo = $pdo;
    }
    
      public function createDesignation($user_id, $name){
       try{
            $stmt = $this->pdo->prepare("INSERT INTO job_designations (user_id, name) VALUES (:user_id, :name)");
            $stmt->execute([
                ':user_id' => $user_id, 
                ':name' => $name, 
            ]);
            return $stmt->rowCount() == 1;
       }catch (Exception $e) {
            return $e->getMessage();   
        }
    
    }
    
      public function createDepartment($user_id, $job_designation_id, $name){
       try{
            $check = "SELECT COUNT(*) FROM job_departments WHERE name = :name";
            $stmt = $this->pdo->prepare($check);
            $stmt->execute([':name' => $name]);
            $count = $stmt->fetchColumn();
    
            if ($count > 0) {
                return "Department already exists.";
            }
            
            $stmt = $this->pdo->prepare("INSERT INTO job_departments (user_id, job_designation_id, name)
            VALUES (:user_id, :job_designation_id, :name)");
            $stmt->execute([
                ':user_id' => $user_id, 
                ':job_designation_id' => $job_designation_id,
                ':name' => $name, 
            ]);
            return $stmt->rowCount() == 1;
       }catch (Exception $e) {
            return $e->getMessage();   
        }
    
    }
    
      public function createDevision($user_id, $job_department_id, $name){
       try{
            $stmt = $this->pdo->prepare("INSERT INTO  job_divisions (user_id, job_department_id, name) 
            VALUES (:user_id, :job_department_id, :name)");
            $stmt->execute([
                ':user_id' => $user_id, 
                'job_department_id' => $job_department_id,
                ':name' => $name, 
            ]);
            return $stmt->rowCount() == 1;
       }catch (Exception $e) {
            return $e->getMessage();   
        }
    
    }


      public function getDesignation(){
        try{
            $stmt = $this->pdo->prepare("SELECT * FROM job_designations");
            $stmt->execute();
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
            }catch (Exception $e){
                 return false;
            } 
      }
      
    public function getDepartment(){
        try{
            $stmt = $this->pdo->prepare("SELECT * FROM job_departments");
            $stmt->execute();
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
            }catch (Exception $e){
                 return false;
            } 
      }
      
    public function getDivision(){
        try{
            $stmt = $this->pdo->prepare("SELECT * FROM job_divisions");
            $stmt->execute();
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
            }catch (Exception $e){
                 return false;
            } 
      }


}

?>