<?php
include('header.php');
require('model/PostNewJob.php');
require('model/ManageJobCategories.php');


$postNewJob = new PostNewJob($pdo);
$selects = new ManageJobCategories($pdo);

$msg_alert = "";

if (isset($_POST['createPostNewJob'])) { 
    $user_id = $user_id ?? null;
    
    $job_designation_id = $_POST['job_designation_id'] ?? '';
    $job_department_id = $_POST['job_department_id'] ?? '';
    $job_division_id = $_POST['job_division_id'] ?? '';
    $experience_required = $_POST['experience_required'] ?? '' ;
    $location = $_POST['location'] ?? '';
    $salary_range = $_POST['salary_range'] ?? '';
    $job_code = $_POST['job_code'] ?? '';
    $job_description = $_POST['job_description'] ?? '';
    $job_type = $_POST['job_type'] ?? ''; 
    // Create Post New Job
    $create = $postNewJob->createPostNewJob($job_designation_id, $job_department_id , $job_division_id, $experience_required, $location, $salary_range, $job_code, $job_description, $job_type );
    if ($create) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong>New Job created Successfully!</div>';
        // echo "<script> setTimeout(function() { window.location.href = 'post-new-job'; }, 3000); </script>"; 
        // Redirects after 2 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error creating Job.</div>';
    }

}

    $categories = $postNewJob->getAllCategories();
    $types = $postNewJob->getAllTypes();
    $selectDesginations =  $selects->getDesignation();
    $selectDepartments =  $selects->getDepartment();
    $selectDivisions =  $selects->getDivision();

?>

<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12"> 
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Jobs</a></li>
                            <li class="breadcrumb-item"><a href="post-new-job">Post New Job</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Create New Job</h5>
                    </div>
                    <div class="card-body">
                    <?php if($msg_alert != ""){
                        echo $msg_alert;
                    } ?>
                        <hr>
                        <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label class="form-label">Designation</label>
                <select class="form-control" id="designation" name="job_designation_id" >  
                    <option value="">Select Designation</option> 
                    <?php
                        foreach($selectDesginations as $designation){
                            echo '<option value='. $designation['id'] .'>'. $designation['name'] .'</option>';
                        }
                    ?>
                </select>
                
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="department">Department </label>
                <select id="department" name="job_department_id" class="form-control" required >
                    <option value="">Select Department</option>
                    <?php
                        foreach($selectDepartments as $departments){
                            echo '<option value='. $departments['id'] .'>'. $departments['name'] .'</option>';
                        }
                    ?>
                </select>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3"> 
                <label for="division">Division:</label>
                <select id="division" name="job_division_id" class="form-control" required  >
                    <option value="">Select Dvision</option>
                    <?php
                        foreach($selectDivisions as $divisions){
                            echo '<option value='. $divisions['id'] .'>'. $divisions['name'] .'</option>';
                        }
                    ?>
                </select>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label class="form-label" for="job_code">Experience Required</label>
                <input type="text" class="form-control" id="experience_required" name="experience_required" required>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label class="form-label">Location</label>
                <input type="text" class="form-control" name="location" required placeholder="Enter location">
            </div>
        </div>
        
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="salary_range">Salary Range:</label>
                <input type="text" class="form-control" id="salary_range" name="salary_range" 
                placeholder="Enter Salary Range" required>
            </div>
        </div>
        
        <div class="col-md-6">
            <div class="form-group mb-3"> 
                <label for="job_description">Job Description</label>
                <textarea class="form-control" id="job_description"  name="job_description" rows="5" required></textarea>
            </div>
        </div>
    </div>

    <div class="row">

    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label class="form-label" for="job_code">Job Code</label>
                <input type="text" class="form-control" id="job_code" name="job_code"  placeholder="Enter Job Code" required>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label class="form-label">Job Type</label>
                <select id="division" name="job_type" class="form-control" required  >
                    <option value="1">Fresher</option>
                    <option value="2">   Professioanl  </option>
                    <option value="3">   R & D  </option>
                    // <?php
                    //     foreach($selectDivisions as $divisions){
                    //         echo '<option value='. $divisions['id'] .'>'. $divisions['name'] .'</option>';
                    //     }
                    // ?>
                </select>
            </div>
        </div>
    </div>
                    </div>
                    <div class="card-footer text-right"> 
                        <button type="submit" class="btn btn-primary" name="createPostNewJob" >Post New Job</button>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->

    </div>
</section>
<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>



