<?php 
include('header.php'); 
require('model/PostNewJob.php');

$msg_alert = "";
$postNewJob = new PostNewJob($pdo);

if (isset($_POST['deleteJob'])) {
    $id = $_POST['id'];
    if ($postNewJob->deleteJob($id)) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job deleted successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'view-all-jobs'; }, 3000); </script>"; // Redirects after 3 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error deleting Job.</div>';
    }
}

if (isset($_POST['editJob'])) { 
    $id = $_POST['id'];
    $job_designation_id = $_POST['job_designation_id'];
    $job_department_id = $_POST['job_department_id'];
    $job_division_id = $_POST['job_division_id'];
    $experience_required = $_POST['experience_required'];
    $location = $_POST['location'];
    $salary_range = $_POST['salary_range'];
    $job_code = $_POST['job_code'];
    $job_description = $_POST['job_description'];
    $job_type = $_POST['job_type'];
    $application_deadline = $_POST['application_deadline'];
    
    if ($postNewJob->updateJob($id, $job_designation_id, $job_department_id, $job_division_id, $experience_required, $location, $salary_range, $job_code, $job_description, $job_type, $application_deadline)) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job updated successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'view-all-jobs'; }, 3000); </script>";
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error updating Job.</div>';
    }
}

$jobs = $postNewJob->getAllJobs(); 
?>


<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10">Jobs</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Jobs</a></li>
                            <li class="breadcrumb-item"><a href="view-all-jobs">View All Jobs</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->

        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                    <div class="card">
                        <div class="card-header">
                            <h5>Jobs List</h5>
                        </div>
                        <div class="card-body">
                            <?php echo isset($msg_alert) ? $msg_alert : ''; ?>
                            <div class="row">
                                <div class="table-responsive">
                                    <table class="table table-striped table-hover table-sm">
                                        <thead class="text-center">
                                            <tr>
                                                <th>ID</th>
                                                <th>Designation Name</th>
                                                <th>Department Name</th>
                                                <th>Division Name</th>
                                                <th>Experience Required</th>
                                                <th>Location</th>
                                                <th>Salary Range</th>
                                                <th>Job Code</th>
                                                <th>Job Description</th>
                                                <th>Job Type</th>
                                                <th>Designation Name</th>
                                                <th>Department Name</th>
                                                <th>Division Name</th>
                                                <th>Job Type Name</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody class="text-center">
                                            <?php if ($jobs): ?>
                                                <?php foreach ($jobs as $job): ?>
                                                    <tr>
                                                        <td><?php echo htmlspecialchars($job['id']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_designation_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_department_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_division_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['experience_required']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['location']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['salary_range']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_code']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_description']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_type']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_designation_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_department_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_division_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($job['job_type_name']); ?></td>
                                                        <td>
                                                            <form method="post" style="display:inline;">
                                                                <input type="hidden" name="id" value="<?php echo $job['id']; ?>">
                                                                <button type="submit" name="deleteJob" class="btn btn-danger rounded-pill delete-job-btn">Delete Job</button>
                                                            </form>
                                                            <button type="button" class="btn btn-primary rounded-pill edit-job-btn"
                                                                data-id="<?php echo $job['id']; ?>"
                                                                data-job_designation_id="<?php echo $job['job_designation_id']; ?>"
                                                                data-job_department_id="<?php echo $job['job_department_id']; ?>"
                                                                data-job_division_id="<?php echo $job['job_division_id']; ?>"
                                                                data-experience_required="<?php echo $job['experience_required']; ?>"
                                                                data-location="<?php echo $job['location']; ?>"
                                                                data-salary_range="<?php echo $job['salary_range']; ?>"
                                                                data-job_code="<?php echo $job['job_code']; ?>"
                                                                data-job_description="<?php echo $job['job_description']; ?>"
                                                                data-job_type="<?php echo $job['job_type']; ?>"
                                                            >Edit Job</button>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td class="text-center" colspan="15">No Jobs found.</td>
                                                </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>
</section>

<!-- Edit Job Modal -->
<div class="modal fade" id="editUserModal" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form method="post">
                <div class="modal-header">
                    <h5 class="modal-title" id="editUserModalLabel">Edit Job</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="id" name="id">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label class="form-label">Designation</label>
                                <input type="text" class="form-control" id="jobDesignation" name="job_designation_id" required placeholder="Enter job designation">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label class="form-label">Department</label>
                                <input type="text" class="form-control" id="jobDepartment" name="job_department_id" required placeholder="Enter job department">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label class="form-label">Division</label>
                                <input type="text" class="form-control" id="jobDivision" name="job_division_id" required placeholder="Enter job division">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label class="form-label">Experience Required</label>
                                <input type="text" class="form-control" id="experienceRequired" name="experience_required" required placeholder="Enter experience required">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label class="form-label">Location</label>
                                <input type="text" class="form-control" id="location" name="location" required placeholder="Enter location">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label class="form-label">Salary Range</label>
                                <input type="text" class="form-control" id="salaryRange" name="salary_range" required placeholder="Enter salary range">
                            </div>
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label class="form-label">Job Code</label>
                        <input type="text" class="form-control" id="jobCode" name="job_code" required placeholder="Enter job code">
                    </div>
                    <div class="form-group mb-3">
                        <label class="form-label">Job Description</label>
                        <textarea class="form-control" id="jobDescription" name="job_description" required placeholder="Enter job description"></textarea>
                    </div>
                    <div class="form-group mb-3">
                        <label class="form-label">Job Type</label>
                        <input type="text" class="form-control" id="jobType" name="job_type" required placeholder="Enter job type">
                    </div>
                    <div class="form-group mb-3">
                        <label class="form-label">Application Deadline</label>
                        <input type="date" class="form-control" id="applicationDeadline" name="application_deadline" required placeholder="Enter application deadline">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary rounded-pill" data-dismiss="modal">Close</button>
                    <button type="submit" name="editJob" class="btn btn-primary rounded-pill">Update Job</button>
                </div>
            </form>
        </div>
    </div>
</div> 


<?php include('footer.php'); ?>

<script>
    // JavaScript/jQuery for handling the Edit Job modal functionality
    $(document).ready(function() {
        $('.edit-job-btn').on('click', function() {
            var id = $(this).data('id');
            var job_designation_id = $(this).data('job_designation_id');
            var job_department_id = $(this).data('job_department_id');
            var job_division_id = $(this).data('job_division_id');
            var experience_required = $(this).data('experience_required');
            var location = $(this).data('location');
            var salary_range = $(this).data('salary_range');
            var job_code = $(this).data('job_code');
            var job_description = $(this).data('job_description');
            var job_type = $(this).data('job_type');
            var application_deadline = $(this).data('application_deadline');
            
            $('#id').val(id);
            $('#jobDesignation').val(job_designation_id);
            $('#jobDepartment').val(job_department_id);
            $('#jobDivision').val(job_division_id);
            $('#experienceRequired').val(experience_required);
            $('#location').val(location);
            $('#salaryRange').val(salary_range);
            $('#jobCode').val(job_code);
            $('#jobDescription').val(job_description);
            $('#jobType').val(job_type);
            $('#applicationDeadline').val(application_deadline);
            
            $('#editUserModal').modal('show');
        });
    });
</script>

