<?php 

include('header.php'); 
require('model/ViewApplications.php');

$msg_alert = "";


 $viewAllApplications = new ViewApplications($pdo);

 $applications = $viewAllApplications->getAllApplication();
//  $deleteApplication = deleteApplication($id);

 
$applicationsGroupedByDesignation = $viewAllApplications->fetchApplicationsGroupedByJobDesignation();

?>



<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Jobs</a></li>
                            <li class="breadcrumb-item"><a href="view-applications">View Applications</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div
        
        <!-- [ TABS DESIGN START ] Start -->  
              
        <div class="row">
			<!-- [ tabs ] start -->
            <div class="col-sm-12">
            <div class="card table-card p-2">
                <div class="card-header">
                <h4 class="mb-3">Applications List</h4> 
                    <div class="card-header-right">
                            <div class="btn-group card-option">
                                <button type="button" class="btn dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="feather icon-more-horizontal"></i>
                                </button>
                                <ul class="list-unstyled card-option dropdown-menu dropdown-menu-right">
                                    <li class="dropdown-item full-card"><a href="#!"><span><i class="feather icon-maximize"></i> maximize</span><span style="display:none"><i class="feather icon-minimize"></i> Restore</span></a></li>
                                    <li class="dropdown-item minimize-card"><a href="#!"><span><i class="feather icon-minus"></i> collapse</span><span style="display:none"><i class="feather icon-plus"></i> expand</span></a></li>
                                    <li class="dropdown-item reload-card"><a href="#!"><i class="feather icon-refresh-cw"></i> reload</a></li>
                                    <li class="dropdown-item close-card"><a href="#!"><i class="feather icon-trash"></i> remove</a></li>
                                </ul>
                            </div>
                        </div>
                </div>        
 
                <div class="card-body">
                    <?php if (is_array($applicationsGroupedByDesignation)): ?>
                        <ul class="nav nav-tabs mb-3" id="jobDesignationTabs" role="tablist">
                            <?php $first = true; ?>
                            <?php foreach ($applicationsGroupedByDesignation as $designationName => $applications): ?>
                                <?php
                                $cleanedDesignationName = str_replace(' ', '-', trim($designationName));
                                ?>
                                <li class="nav-item" role="presentation">
                                    <a class="nav-link <?php echo $first ? 'active' : ''; ?> text-uppercase" id="<?= $cleanedDesignationName; ?>-tab" data-toggle="tab" href="#<?= $cleanedDesignationName; ?>" role="tab" aria-controls="<?= $cleanedDesignationName; ?>" aria-selected="<?php echo $first ? 'true' : 'false'; ?>">
                                        <?php echo htmlspecialchars($designationName); ?>
                                    </a>
                                </li>
                                <?php $first = false; ?>
                            <?php endforeach; ?>
                        </ul>
                        
                        <div class="tab-content" id="jobDesignationTabsContent">
                            <?php $first = true; ?>
                            <?php foreach ($applicationsGroupedByDesignation as $designationName => $applications): ?>
                                <?php
                                $cleanedDesignationName = str_replace(' ', '-', trim($designationName));
                                ?>
                                <div class="tab-pane fade <?php echo $first ? 'show active' : ''; ?>" id="<?= $cleanedDesignationName; ?>" role="tabpanel" aria-labelledby="<?= $cleanedDesignationName; ?>-tab">
                                    <p class="mb-0">
                                        <button id="downloadSelected-<?= $cleanedDesignationName; ?>" style="float:right;" class="btn btn-success m-2">Download Selected Resumes</button>
                                        <table class="table p-5">
                                            <thead>
                                                <tr>
                                                    <th><input type="checkbox" id="selectAll-<?= $cleanedDesignationName; ?>"></th>
                                                    <th>ID</th>
                                                    <th>Full Name</th>
                                                    <th>Email</th>
                                                    <th>Mobile</th>
                                                    <th>Country</th>
                                                    <th>Experience</th>
                                                    <th>View Resume</th>
                                                    <th>Designation</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php if ($applications): ?>
                                                    <?php foreach ($applications as $application): ?>
                                                        <tr>
                                                            <td><input type="checkbox" class="resume-checkbox" data-resume="<?php echo htmlspecialchars('.././home/main/upload_resumes/' . $application['resume']); ?>"></td>
                                                            <td><?php echo htmlspecialchars($application['id']); ?></td>
                                                            <td><?php echo htmlspecialchars($application['full_name']); ?></td>
                                                            <td><?php echo htmlspecialchars($application['email']); ?></td>
                                                            <td><?php echo htmlspecialchars($application['mobile']); ?></td>
                                                            <td><?php echo htmlspecialchars($application['country']); ?></td>
                                                            <td><?php echo htmlspecialchars($application['experience']); ?></td>
                                                            <td>
                                                                <a class="btn btn-primary rounded-pill" href="<?php echo htmlspecialchars('.././home/main/upload_resumes/' . $application['resume']); ?>" target="_blank">
                                                                    VIEW RESUME
                                                                </a>
                                                            </td>
                                                            <td><?php echo htmlspecialchars($application['designation_name']); ?></td>
                                                        </tr>
                                                    <?php endforeach; ?>
                                                <?php else: ?>
                                                    <tr>
                                                        <td colspan="9">No applications found for this job designation.</td>
                                                    </tr>
                                                <?php endif; ?>
                                            </tbody>
                                        </table>
                                    </p>
                                </div>
                                <?php $first = false; ?>
                            <?php endforeach; ?>
                        </div>
                    <?php else: ?>
                        <div class="alert alert-danger" role="alert">
                            <?php echo htmlspecialchars($applicationsGroupedByDesignation); ?>
                            <p>No applications found.</p>
                        </div>
                    <?php endif; ?>
                </div>

            </div>
     
        </div>
            
        </div>
        <!-- [ TABS DESIGN END ] end -->
     
 

    
    
    
</section>
<!-- [ Main Content ] end -->

<!-- Edit Job Modal -->
    <div class="modal  fade" id="editUserModal" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form method="post">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editUserModalLabel"> Job Applications</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" id="id" name="id">
                        
                    <hr>
                    <div class="modal  fade" id="viewWebDeveloper" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form method="post">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editUserModalLabel">Edit Job</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" id="id" name="id">
                        
                    <hr>

                    <?php echo isset($msg_alert) ? $msg_alert : ''; ?>
                        <div class="row">
                            <div class="table-responsive">
                            <table class="table table-striped table-hover table-sm">
                                <thead class="text-center">
                                    <tr> 
                                        <th>ID</th>
                                        <th>Full Name</th>
                                        <th> Email</th>
                                        <th>Mobile</th>
                                        <th>Job Role</th>
                                        <th>Country</th>
                                        <th>Experiance</th>
                                        <th>Download Resume</th>
                                        <th>Application Date</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php if ($applications): ?>
                                        <?php foreach ($applications as $application): ?>
                                            <tr>
                                                <td><?php echo htmlspecialchars($application['id']); ?></td> 
                                                <td><?php echo htmlspecialchars($application['full_name']); ?></td> 
                                                <td><?php echo htmlspecialchars($application['email']); ?></td>
                                                <td><?php echo htmlspecialchars($application['mobile']); ?></td>
                                                <td><?php echo htmlspecialchars($application['job_role_id']); ?></td>
                                                <td><?php echo htmlspecialchars($application['country']); ?></td>
                                                <td><?php echo htmlspecialchars($application['experience']); ?></td>
                                                <td>
                                                    <a href="<?php echo htmlspecialchars('.././home/main/upload_resumes/' . $application['resume']); ?>" target="_blank">
                                                        Download Resume
                                                    </a>
                                                </td>
                                                <td><?php echo htmlspecialchars($application['created']); ?></td>
     
                                                <td>
                                                    <form method="post" style="display:inline;">
                                                        <input type="hidden" name="id" value="<?php echo $job['id']; ?>">
                                                        <button type="submit" name="" class="btn btn-danger rounded-pill delete-job-btn">Delete Application</button>
                                                    </form> 
                                                    <button type="button" class="btn btn-primary rounded-pill edit-job-btn"
                                                        data-id="<?php echo $job['id']; ?>" 
                                                        data-job_title =  "<?php echo $job['job_title']; ?>"
                                                        data-job_category =  "<?php echo $job['job_category'];  ?>"
                                                        data-job_type =  "<?php echo $job['job_type'];  ?>"
                                                        data-location =  "<?php echo $job['location'];  ?>"
                                                        data-job_description =  "<?php echo $job['job_description'];  ?>"
                                                        data-salary_range =  "<?php echo $job['salary_range'];  ?>"
                                                        data-application_deadline =  "<?php echo $job['application_deadline']; ?>" 
                                                    >View Full Application</button>   
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-center" colspan="6">No users found.</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" name="editJob" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
                        
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" name="editJob" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

<?php include('footer.php'); ?>



<script type="text/javascript">

    $(document).ready(function() {
        
        
        // RESUMES
              $('#jobRoleTabs a').on('click', function (e) {
                e.preventDefault();
                $(this).tab('show');
            });

            $('input[id^="selectAll-"]').on('click', function() {
                var $checkboxes = $(this).closest('table').find('.resume-checkbox');
                $checkboxes.prop('checked', $(this).is(':checked')).trigger('change');
            });

            $('.resume-checkbox').on('change', function() {
                var $tabPane = $(this).closest('.tab-pane');
                var $button = $tabPane.find('button[id^="downloadSelected-"]');
                if ($tabPane.find('.resume-checkbox:checked').length > 0) {
                    $button.prop('disabled', false);
                } else {
                    $button.prop('disabled', true);
                }
            });

            $('button[id^="downloadSelected-"]').on('click', function() {
                var resumes = [];
                $(this).closest('.tab-pane').find('.resume-checkbox:checked').each(function() {
                    resumes.push($(this).data('resume'));
                });

                if (resumes.length > 0) {
                    var $form = $('<form>', {
                        action: 'download.php',
                        method: 'post'
                    });

                    resumes.forEach(function(url) {
                        $('<input>').attr({
                            type: 'hidden',
                            name: 'resumes[]',
                            value: url
                        }).appendTo($form);
                    });

                    $form.appendTo('body').submit();
                }
            });

            $('.resume-checkbox').trigger('change');
        //RESUMES

 
        
        
        $('.delete-job-btn').on('click', function(e) {
            var form = $(this).closest('form');
            if (confirm("Are you sure you want to delete this Job ? ")) {
                form.submit();
            }else{
                e.preventDefault();
            }
        });
        
        $('.viewWebDeveloper').on('click', function() {

            
            $('#editUserModal').modal('show');
        });
        
    });
    
    </script>
